#include<iostream>
#include<fstream>
using namespace std;
int main()
{
	long int a[10000],n,b,c,dem,tong;
	ifstream f1;f1.open("DEMDUONG.INP");
	f1>>n;
	for(b=0;b<n;b++) f1>>a[b];
	f1.close();
	dem=0;tong=0;
	for(b=0;b<n;b++)
	{if (a[b]>0) 
		{dem++; tong=tong+a[b];}
	}
	ofstream f2;f2.open("DEMDUONG.OUT");
	f2<<dem<<' '<<tong;
	f2.close();
	
}
